import { Card, CardContent } from "./card";

// StatCard.tsx
interface StatCardProps {
  value: number;
  label: string;
  variant: "success" | "destructive" | "warning";
}

export function StatCard({ value, label, variant }: StatCardProps) {
  const colorClasses = {
    success: "text-green-600 dark:text-green-400",
    destructive: "text-red-600 dark:text-red-400",
    warning: "text-yellow-600 dark:text-yellow-400"
  };

  return (
    <Card>
      <CardContent className="pt-6">
        <div className="text-center">
          <div className={`text-2xl font-bold ${colorClasses[variant]}`}>
            {value}
          </div>
          <div className="text-sm font-medium text-muted-foreground">
            {label}
          </div>
        </div>
      </CardContent>
    </Card>
  );
}